<template>
    <v-card
    class="mx-auto mb-5"
    width="600"
    >
    <router-link
    class="card__link"
    :to="{ path: '/cars/' + car.id }"
    append
    >   
        <v-img
        :src="car.photo"
        height="400px"
        class="photo"
        ></v-img>
        <v-card-title>
            {{ car.title }}
        </v-card-title>
        <v-card-text>
            {{ car.description }}
        </v-card-text>
        <v-container d-flex>
            <v-list>
                <v-list-item>Цена: {{ car.cost }}</v-list-item>
                <v-list-item>Марка: {{ car.brand_name[0]['name'] }}</v-list-item>
                <v-list-item>Модель: {{ car.model_name[0]['name'] }}</v-list-item>
            </v-list>
            <v-list>
                <v-list-item>Лошадиных сил: {{ car.engine_volume }}</v-list-item>
                <v-list-item>Год выпуска: {{ car.year_of_issue }}</v-list-item>
                <v-list-item>Цвет: {{ car.color }}</v-list-item>
            </v-list>
        </v-container>
    </router-link>
</v-card>
  </template>
  
  <script>
  import Vue from "vue";
  import axios from "axios";
  import VueAxios from "vue-axios";
  Vue.use(VueAxios, axios);
  export default {
    name: "CarsPage",
    data: () => ({
        show: false,
        cars: [],
      }),
      props: {
        car: {
            type: Object,
            required: true
        }
    },
    methods: {
      GetCars: function () {
        let api = "http://127.0.0.1:8000/api/Cars/";
        axios({
          method: "get",
          url: api,
        })
          .then((response) => {
            this.cars = response.data;
          })
          .catch((response) => {
            console.log(response);
          });
      },
    },
    mounted() {
      this.GetCars();
    },
  };
  </script>
  
  <style scoped lang="scss">
  $header-and-footer-background: #006d77;
  $main-background: #caf0f8;
  $card-background: #edf6f9;
  $text: #000000;
  $button: #ffc300;
  $button-hover: #ffd60a;
  $button-text: #006d77;
  $border: #000000;
  .card__link {
    text-decoration: none;
    color: $text;
  }
  </style>